<?xml version="1.0" encoding="utf-8"?>
<NV_CATEGORY NAME="PARAM_VALUE" MODE="GU">
  <PA_STATUS NAME="DOUBLE_PA">
	<SCENCE NAME="INIT_CHIP" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x04, 0xff, 0x00, 0x00, 0x05,
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Software RESET and delay 1ms#
		0x01, 0xff, 0x01, 0x01, 0x00,
		#Mask IRQ#
		0x1a, 0xff, 0xff, 0x00, 0x00,
		0x1b, 0xff, 0xff, 0x00, 0x00,
		0x1c, 0xff, 0xff, 0x00, 0x00,
		#Disable idle channel detection#
		0x3e, 0xff, 0x00, 0x00, 0x00,
		#Configure Boost adaptive#
		0x33, 0xff, 0x34, 0x00, 0x00,
		#Disable DC blocker in playback path#
		0x03, 0xff, 0x5e, 0x00, 0x00,
		#Configure Boost Current#
		0x40, 0xff, 0x2d, 0x00, 0x00,
		#classH update #
		0x3c, 0xff, 0x3c, 0x00, 0x00,
		0x4a, 0xff, 0x1a, 0x00, 0x00,
		#Configure Channel#
		# TDM configuration #
		#frame clock polarity = low to high #
		0x06, 0xff, 0x08, 0x00, 0x00,
		# RX trigger on raising edge and offset = 1#
		0x07, 0xff, 0x02, 0x00, 0x00,
		# TX trigger on falling edge, offset = 1#
		0x0a, 0xff, 0x13, 0x00, 0x00,
		0x30, 0xff, 0x1d, 0x00, 0x00,
		0x38, 0xff, 0x11, 0x00, 0x00,
		0x08, 0xff, 0x2e, 0x00, 0x00,
		# Right channel on slot 2 #
		0x09, 0xff, 0x32, 0x00, 0x00,
		0x0b, 0xff, 0x4a, 0x00, 0x00,
		0x0c, 0xff, 0x48, 0x00, 0x00,
		0x0d, 0xff, 0xce, 0x00, 0x00,
		0x41, 0xff, 0xcc, 0x00, 0x00,
		0x48, 0xff, 0xa8, 0x00, 0x00,
		0x4a, 0xff, 0x1c, 0x00, 0x00,
		0x43, 0xff, 0xc0, 0x00, 0x00,
		#switch to B0_P1#
		0x00, 0xff, 0x01, 0x00, 0x00,
		#thermal foldback disabled#
		0x08, 0xff, 0x00, 0x00, 0x00,
		0x21, 0xff, 0x08, 0x00, 0x00,
		#enable DC detection scheme#
		0x2c, 0xff, 0xb0, 0x00, 0x00,
		#switch to B0_P3#
		0x00, 0xff, 0x03, 0x00, 0x00,
		#increase DC detect hysteresis to 1 seconds#
		0x20, 0xff, 0x00, 0x00, 0x00,
		0x21, 0xff, 0x00, 0x00, 0x00,
		0x22, 0xff, 0xBB, 0x00, 0x00,
		0x23, 0xff, 0x80, 0x00, 0x00,
		0x24, 0xff, 0x0a, 0x00, 0x00,
		0x25, 0xff, 0x42, 0x00, 0x00,
		0x26, 0xff, 0x38, 0x00, 0x00,
		0x27, 0xff, 0xed, 0x00, 0x00,
		#switch to B0_P5#
		0x00, 0xff, 0x05, 0x00, 0x00,
		0x14, 0xff, 0x53, 0x00, 0x00,
		0x15, 0xff, 0xff, 0x00, 0x00,
		0x16, 0xff, 0x2B, 0x00, 0x00,
		0x17, 0xff, 0xcf, 0x00, 0x00,
		#switch to B0_P253#
		0x00, 0xff, 0xfd, 0x00, 0x00,
		0x0d, 0xff, 0x0d, 0x00, 0x00,
		0x58, 0xff, 0x0d, 0x00, 0x00,
		0x5e, 0xff, 0x8c, 0x00, 0x00,
		#switch to B100_page0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x64, 0x00, 0x00,
		0x00, 0xff, 0x08, 0x00, 0x00,
		0x1c, 0xff, 0x50, 0x00, 0x00,
		0x1d, 0xff, 0x1b, 0x00, 0x00,
		0x1e, 0xff, 0x01, 0x00, 0x00,
		0x1f, 0xff, 0xc0, 0x00, 0x00,
		#switch to b100_page7#
		0x00, 0xff, 0x07, 0x00, 0x00,
		0x38, 0xff, 0x31, 0x00, 0x00,
		0x39, 0xff, 0x99, 0x00, 0x00,
		0x3a, 0xff, 0x99, 0x00, 0x00,
		0x3b, 0xff, 0x9a, 0x00, 0x00,
		#switch to b0_p0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00}"
	/>

	<SCENCE NAME="POWER_ON_R" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Power down first #
		0x02, 0xff, 0x8e, 0x00, 0x00,
		#Clear all INT_LATCH registers#
		0x30, 0xff, 0x1d, 0x00, 0x00,
		#Configure AMP_LEVEL 18.2dbv#
		0x03, 0xff, 0x5e, 0x00, 0x00,
		#power on#
		0x02, 0xff, 0x01, 0x01, 0x00,
		0x02, 0xff, 0x00, 0x00, 0x00,
		#Enable IRQ#
		0x1a, 0xff, 0xf8, 0x00, 0x00,
		0x1b, 0xff, 0xa6, 0x00, 0x00,
		0x1c, 0xff, 0xdf, 0x00, 0x00}"
	/>

	<SCENCE NAME="POWER_OFF_R" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Mask IRQ#
		0x1a, 0xff, 0xff, 0x00, 0x00,
		0x1b, 0xff, 0xff, 0x00, 0x00,
		0x1c, 0xff, 0xff, 0x00, 0x00,
		#Mute the device and delay 20ms#
		0x02, 0xff, 0x8d, 0x14, 0x00}"
	/>

	<SCENCE NAME="VOICE_POWER_ON_R" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Power down first #
		0x02, 0xff, 0x8e, 0x00, 0x00,
		#Configure AMP_LEVEL 2dbv#
	        0x03, 0xff, 0x80, 0x00, 0x00,

		#switch to B0_P2#
		0x00, 0xff, 0x02, 0x00, 0x00,
		0x0c, 0xff, 0x28, 0x00, 0x00,
		0x0d, 0xff, 0x61, 0x00, 0x00,
		0x0e, 0xff, 0x9a, 0x00, 0x00,
		0x0f, 0xff, 0xea, 0x00, 0x00,

		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,

		#Clear all INT_LATCH registers#
		0x30, 0xff, 0x1d, 0x00, 0x00,
		#power on#
		0x02, 0xff, 0x01, 0x01, 0x00,
		0x02, 0xff, 0x00, 0x00, 0x00,
		#Enable IRQ#
		0x1a, 0xff, 0xf8, 0x00, 0x00,
		0x1b, 0xff, 0xa6, 0x00, 0x00,
		0x1c, 0xff, 0xdf, 0x00, 0x00}"
	/>

	<SCENCE NAME="VOICE_POWER_OFF_R" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Configure AMP_LEVEL 17dbv#
		0x03, 0xff, 0x5e, 0x00, 0x00,

		#switch to B0_P2#
		0x00, 0xff, 0x02, 0x00, 0x00,
		0x0c, 0xff, 0x44, 0x00, 0x00,
		0x0d, 0xff, 0x04, 0x00, 0x00,
		0x0e, 0xff, 0x00, 0x00, 0x00,
		0x0f, 0xff, 0x00, 0x00, 0x00,

		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,

		#power down and delay 20ms#
		0x02, 0xff, 0x0e, 0x14, 0x00,
		#Mask IRQ#
		0x1a, 0xff, 0xff, 0x00, 0x00,
		0x1b, 0xff, 0xff, 0x00, 0x00,
		0x1c, 0xff, 0xff, 0x00, 0x00,
		#Mute the device and delay 20ms#
		0x02, 0xff, 0x8d, 0x14, 0x00}"
	/>

	<!--for mmi test -->
	<SCENCE NAME="MMI_POWER_ON_PRI_R" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Power down first #
		0x02, 0xff, 0x8e, 0x00, 0x00,
		#Configure AMP_LEVEL 18.2dbv#
		0x03, 0xff, 0x5e, 0x00, 0x00,
		#Clear all INT_LATCH registers#
		0x30, 0xff, 0x1d, 0x00, 0x00,
		#power on#
		0x02, 0xff, 0x01, 0x01, 0x00,
		0x02, 0xff, 0x00, 0x00, 0x00}"
	/>

	<SCENCE NAME="MMI_POWER_ON_SPK_RCV" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Skip#
		0x00, 0xff, 0x00, 0x00, 0x03,
		0x00, 0xff, 0x00, 0x00, 0x03,
		#Power down first #
		0x02, 0xff, 0x8e, 0x00, 0x00,
		#Configure AMP_LEVEL 18.2dbv#
		0x03, 0xff, 0x5e, 0x00, 0x00,
		#Clear all INT_LATCH registers#
		0x30, 0xff, 0x1d, 0x00, 0x00,
		#power on#
		0x02, 0xff, 0x01, 0x01, 0x00,
		0x02, 0xff, 0x00, 0x00, 0x00}"
	/>

	<SCENCE NAME="MMI_POWER_OFF" CONTROL_MASK="0x10" VALUE="{
		#switch to B0_P0#
		0x00, 0xff, 0x00, 0x00, 0x00,
		0x7f, 0xff, 0x00, 0x00, 0x00,
		#Mask IRQ#
		0x1a, 0xff, 0xff, 0x00, 0x00,
		0x1b, 0xff, 0xff, 0x00, 0x00,
		0x1c, 0xff, 0xff, 0x00, 0x00,
		#Mute the device and delay 20ms#
		0x02, 0xff, 0x8d, 0x14, 0x00,

		0x00, 0x00, 0x00, 0x00, 0x03,
		0x00, 0x00, 0x00, 0x00, 0x03}"
	/>

  </PA_STATUS>
</NV_CATEGORY>
